// define our rectangular texture samplers
uniform sampler2DRect tex0;
uniform sampler2DRect tex1;

uniform float mixValue;
uniform bool tex0Negative;
uniform bool tex1Negative;

void main(void)
{
	vec4 result = texture2DRect(tex0, gl_TexCoord[0].st);
    vec4 result1 = texture2DRect(tex1, gl_TexCoord[1].st);
    if (tex0Negative) {
        result.rgb = vec3(1.0, 1.0, 1.0) - result.rgb;
    }
    if (tex1Negative) {
        result1.rgb = vec3(1.0, 1.0, 1.0) - result1.rgb;
    }
    //result.rgb = vec3(1.0, 1.0, 1.0) - result.rgb;
	gl_FragColor = mix(result, result1, mixValue);
}