uniform bool    maskIsOn;
uniform float   unit0Alpha;
uniform vec4    unit0AlphaColour;
uniform bool    unit0UseAlphaColour;
uniform bool    unit0IsOn;
uniform bool    unit0IsNegative;
uniform float   unit1Alpha;
uniform vec4    unit1AlphaColour;
uniform bool    unit1UseAlphaColour;
uniform bool    unit1IsOn;
uniform bool    unit1IsNegative;

void main()
{
    // perform standard transform on vertex
    gl_Position = ftransform();
    
    // transform texcoords
    gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
    gl_TexCoord[1] = gl_TextureMatrix[1] * gl_MultiTexCoord1;
    gl_TexCoord[2] = gl_TextureMatrix[2] * gl_MultiTexCoord2;
    
}